jQuery.fn.dataTableExt.aTypes.push(  
    function ( sData )  
    {  
        var sValidChars = "0123456789.-,";  
        var Char;  
          
        /* Check the numeric part */  
        for ( i=1 ; i<sData.length ; i++ )   
        {   
            Char = sData.charAt(i);   
            if (sValidChars.indexOf(Char) == -1)   
            {  
                return null;  
            }  
        }  
          
        /* Check prefixed by currency */  
        if ( sData.charAt(0) == '$' || sData.charAt(0) == '' )  
        {  
            return 'currency';  
        }  
        return null;  
    }  
);

jQuery.fn.dataTableExt.oSort['currency-asc'] = function(a,b) {
	/* Remove any commas (assumes that if present all strings will have a fixed number of d.p) */
	var x = a == "-" ? 0 : a.replace( /,/g, "" );
	var y = b == "-" ? 0 : b.replace( /,/g, "" );
	
	/* Remove the currency sign */
	x = x.substring( 1 );
	y = y.substring( 1 );
	
	/* Parse and return */
	x = parseFloat( x );
	y = parseFloat( y );
	return x - y;
};

jQuery.fn.dataTableExt.oSort['currency-desc'] = function(a,b) {
	/* Remove any commas (assumes that if present all strings will have a fixed number of d.p) */
	var x = a == "-" ? 0 : a.replace( /,/g, "" );
	var y = b == "-" ? 0 : b.replace( /,/g, "" );
	
	/* Remove the currency sign */
	x = x.substring( 1 );
	y = y.substring( 1 );
	
	/* Parse and return */
	x = parseFloat( x );
	y = parseFloat( y );
	return y - x;
};

var oTableIncome;
function reDrawTableIncome()
{
	oTableIncome.fnSettings()._iDisplayLength = 10;
	oTableIncome.fnSetColumnVis(5, true);
	oTableIncome.fnDraw()
}

function printTableIncome()
{	
	oTableIncome.fnSettings()._iDisplayLength = -1;
	oTableIncome.fnSetColumnVis(5, false);
	oTableIncome.fnDraw();
}

var oTableExpense;
function reDrawTableExpense()
{	
	oTableExpense.fnSettings()._iDisplayLength = 10;
	oTableExpense.fnSetColumnVis(6, true);
	oTableExpense.fnDraw();
}

function printTableExpense()
{	
	oTableExpense.fnSettings()._iDisplayLength = -1;
	oTableExpense.fnSetColumnVis(6, false);
	oTableExpense.fnDraw();
}


var oTableTransfer;
function reDrawTableTransfer()
{
	oTableTransfer.fnSettings()._iDisplayLength = 10;
	oTableTransfer.fnSetColumnVis(5, true);
	oTableTransfer.fnDraw();
}

function printTableTransfer()
{	
	oTableTransfer.fnSettings()._iDisplayLength = -1;
	oTableTransfer.fnSetColumnVis(5, false);
	oTableTransfer.fnDraw();
}
var oTableAdv;
function reDrawTableAdvanced()
{
	oTableAdv.fnSettings()._iDisplayLength = 10;
	oTableAdv.fnDraw();
}

function printTableAdvanced()
{	
	oTableAdv.fnSettings()._iDisplayLength = -1;
	oTableAdv.fnDraw();
}

var oTableThirdPartyIncome;
var oTableThirdPartyExpense;
var oTableAccount;
var oTableIncomeCategory;
var oTableCreditCards;
var oTableChecking;
var oTableSetAside;
var oTableIOwe;
var oTableCash;
var oTableAssets;

$.fn.dataTableExt.afnFiltering.push(
	function( oSettings, aData, iDataIndex ) 
	{
			if(oSettings.oFeatures.bAllowDateFiltering)
			{
				var sortingByBeginning = document.getElementById('fini').value;
				var sortingByEnd = document.getElementById('ffin').value;
				var iStartDateCol = 1;
				var iEndDateCol = 1;
				var toBeSortedStart=aData[iStartDateCol];
				var toBeSortedEnd=aData[iEndDateCol];
				
								
				sortingByBeginning = Date.parse(sortingByBeginning);
				sortingByEnd = Date.parse(sortingByEnd);
				toBeSortedStart = Date.parse(toBeSortedStart);
				toBeSortedEnd = Date.parse(toBeSortedEnd);
				
				if ( sortingByBeginning == "" && sortingByEnd == "" )
				{
					return true;
				}
				else if ( sortingByBeginning <= toBeSortedStart && sortingByEnd == "")
				{
					return true;
				}
				else if ( sortingByEnd >= toBeSortedEnd && sortingByBeginning == "")
				{
					return true;
				}
				else if (sortingByBeginning <= toBeSortedStart && sortingByEnd >= toBeSortedEnd)
				{
					return true;
				}
				return false;
			}
			else
			{
				return true;
			}
	} 
);
