<?php
//Allows data from the database to be returned
include("assets/ajax/connecti.php");

//The next two lines are required to get the current profile Id
session_start();

$profileID = $_SESSION['userSessionValue'];

$NUM_COLS = 19;
$MONTHS_START = 3;

$file_upload="true";
$validCSV = true;

$file_up_size=$_FILES['file_up']['size'];

$errorMsg = "";

if ($_FILES['file_up']['size'] > 250000)
{
	$errorMsg .= "Your uploaded file size is more than 250KB so please reduce the file size and then upload. Visit the help page to know how to reduce the file size.<BR>";
	$file_upload="false";
}

if ($_FILES['file_up']['type'] != "application/csv" && $_FILES['file_up']['type'] != "application/vnd.ms-excel" && $_FILES['file_up']['type'] != "text/comma-separated-values")
{
	$errorMsg .= "Your uploaded file must be a CSV file.  Only imports that were exported from Green Pig will be accepted.  Other file types are not allowed<BR>";
	$errorMsg .= $_FILES['file_up']['type'];
	$file_upload="false";
}

$file_name=$_FILES['file_up']['name'];
$add="upload/$file_name"; // the path with the file name where the file will be stored, upload is the directory name.

if($file_upload=="true" && $handle = fopen($_FILES['file_up']['tmp_name'], "r"))
{
	$row = 0;
	$data = fgetcsv($handle);
	//$date = explode(" ", $data[$MONTHS_START]);
	
	$month = date("n");
	$validMonth = array(0 => true, 1 => true, 2 => true, 3 => true, 4 => true, 5 => true, 6 => true, 7 => true, 8 => true, 9 => true, 10 => true, 11 => true);
	for($currentMonthOffset = 0; $data[$currentMonthOffset + $MONTHS_START] != date("M") . " '" . date("y") && $currentMonthOffset < 12; ++$currentMonthOffset)
	{
		$validMonth[$currentMonthOffset + date("n") - 1] = false;
		//echo $i + date("n") . $data[$i + $MONTHS_START] . " || " . date("n") . " '" . date("y") . "<br/>\n";
	}
	if($validCSV == true)
	{
		while($data = fgetcsv($handle)) 
	    {
	        $num = count($data);
	        if($num == $NUM_COLS && $data[$NUM_COLS - 1] != "" && $data[$NUM_COLS - 2] != "" && $data[$NUM_COLS - 3] != "")
	        {
	       		$currentRow = "CALL add_forecast_data('".$profileID."', ".$data[$NUM_COLS - 3];
				
	       		for($i = 0; $i < 12; ++$i)
	       		{
	       			$currentRow .= ", ";
	       			$currentData = $data[($i + $currentMonthOffset - $month + 1 + 12) % 12 + $MONTHS_START];
					if(is_numeric($currentData) == false)
					{
						if($currentData != "")
						{
							$errorMsg = "The subcategory ".$data[$MONTHS_START - 1]." does not have valid data in column number \n";
							//$errorMsg .= $data[$MONTHS_START];
							echo $errorMsg;
						}
						$currentRow .= "null";
					}
	       			else if($validMonth[($i + $currentMonthOffset) % 12] == true)
						$currentRow .=  $currentData; 
					else
						$currentRow .= "null";
	       		}
				echo $currentRow.")<br/>\n";
	        }
	    }
	    
		//if(move_uploaded_file ($_FILES['file_up']['tmp_name'], $add))
		//{
		//	echo $str1 = file_get_contents($add);
		// do your coding here to give a thanks message or any other thing.
		//}	
		//else
		//{
		//	echo "Failed to upload file Contact Site admin to fix the problem";
		//}
	}
	else
	{
		echo "No longer valid date for import.";
	}
	
	fclose($handle);
	
	 //echo "<meta http-equiv='refresh' content='0;url=lookahead.php'>\n";
}
else
{
	echo $errorMsg;
}
?>