var cashTotal = 0;
var additionalTotal = 0;
var iOweTotal = 0;
var assetsTotal = 0;
var unaccountedTotal = 0;
var slippageTotal = 0;	
var expenseTotal = 0;
var incomeTotal = 0;
var transferTotal = 0;
var totalIncome = 0;
var totalExpense = 0;
var totalSetAside = 0;

function buildOverview()
{	
	$("#cash").append("<div><b>Cash available today</b></div>");
	$("#additional").append("<div><b>Additional cash that could be accessed</b></div>");
	$("#iowe").append("<div><b>Dollars that I Owe</b></div>");
	$("#assets").append("<div><b>Suggested value of what I own</b></div>");
	$("#unaccounted").append("<div><b>Unaccounted for</b></div>");
	$("#slippage").append("<div><b>Set aside slippage</b></div>");
	$("#cashValues").append("<div>&nbsp;</div>");
	$("#additionalValues").append("<div>&nbsp;</div>");
	$("#ioweValues").append("<div>&nbsp;</div>");
	$("#assetsValues").append("<div>&nbsp;</div>");
	$("#unaccountedValues").append("<div>&nbsp;</div>");
	$("#slippageValues").append("<div>&nbsp;</div>");
	
	for(var acctID in accountJSONextra) 
	{
		  if (accountJSONextra.hasOwnProperty(acctID)) 
		  {
			  
			  switch(accountJSONextra[acctID].type)
			  {
				  case '1': $("#cash").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				  			$("#cashValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							cashTotal += parseFloat(accountJSONextra[acctID].balance);
							break;
				  case '2': $("#additional").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				  			$("#additionalValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							additionalTotal += parseFloat(accountJSONextra[acctID].balance);
							totalSetAside += parseFloat(accountJSONextra[acctID].balance);
				  			break;
				  case '3': $("#cash").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				  			$("#cashValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							cashTotal += parseFloat(accountJSONextra[acctID].balance);
				  			break;
				  case '4': $("#additional").append("<div style=''>"+accountJSONextra[acctID].name+" available</div>");
				 			$("#additionalValues").append("<div style=''>$"+accountJSONextra[acctID].available+"</div>");
							additionalTotal += parseFloat(accountJSONextra[acctID].available);
				  			$("#iowe").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
							$("#ioweValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							iOweTotal += parseFloat(accountJSONextra[acctID].balance);
							break;
				  case '7': $("#iowe").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				 			$("#ioweValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							iOweTotal += parseFloat(accountJSONextra[acctID].balance);
				  			break;
				  case '8': $("#assets").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				 			$("#assetsValues").append("<div style=''>$"+accountJSONextra[acctID].balance+"</div>");
							assetsTotal += parseFloat(accountJSONextra[acctID].balance);
				  			break;
			  }
		  }
	}
	
	getBudgetBalanceValue();	
}

function continueBuildingOverview(budgetValue)
{
	$("#cash").append("<div style=''>Reserved for remainder in budget</div>");
	if(budgetValue == null )
	{
		$("#cashValues").append("<div style=''>N/A</div>");
	}
	else
	{
		$("#cashValues").append("<div style=''>$("+budgetValue+")</div>");
		cashTotal -= parseFloat(budgetValue);
	}
	
	for(var transID in transactionJSON) 
	{
		  if (transactionJSON.hasOwnProperty(transID)) 
		  {
			  if(transactionJSON[transID].type == 1 && transactionJSON[transID].category != "Account Adjustment")
			  {
				 totalIncome += parseFloat(transactionJSON[transID].amount);
			  }
			  if(transactionJSON[transID].type == 2 && transactionJSON[transID].category != "Account Adjustment")
			  {
				 totalExpense += parseFloat(transactionJSON[transID].amount);
			  }
		  }
	}
	
	
	$("#unaccounted").append("<div>Total income</div>");
	$("#unaccountedValues").append("<div>$"+totalIncome.toFixed(2)+"</div>");
	$("#unaccounted").append("<div>Total expense</div>");
	$("#unaccountedValues").append("<div>($"+totalExpense.toFixed(2)+")</div>");
	$("#unaccounted").append("<div>Total in Set Aside</div>");
	$("#unaccountedValues").append("<div>($"+totalSetAside.toFixed(2)+")</div>");
	
	unaccountedTotal += totalIncome;
	unaccountedTotal -= totalExpense;
	unaccountedTotal -= totalSetAside;
	
	
	for(var acctID in accountJSONextra) 
	{
		  if (accountJSONextra.hasOwnProperty(acctID)) 
		  {
			  
			  switch(accountJSONextra[acctID].type)
			  {
				  case '3': $("#unaccounted").append("<div style=''>"+accountJSONextra[acctID].name+" balance</div>");
				  			$("#unaccountedValues").append("<div style=''>($"+accountJSONextra[acctID].balance+")</div>");
							unaccountedTotal -= parseFloat(accountJSONextra[acctID].balance);
							break;
			  }
		  }
	}
	
	
	$("#cashValues").append("<div>$"+cashTotal.toFixed(2)+"</div>");
	$("#additionalValues").append("<div>$"+additionalTotal.toFixed(2)+"</div>");
	$("#ioweValues").append("<div>$"+iOweTotal.toFixed(2)+"</div>");
	$("#assetsValues").append("<div>$"+assetsTotal.toFixed(2)+"</div>");
	$("#unaccountedValues").append("<div>$"+unaccountedTotal.toFixed(2)+"</div>");
	$("#slippageValues").append("<div>$"+slippageTotal.toFixed(2)+"</div>");
	
	$("#cash").append("<div><b>TOTAL cash available today</b></div>");
	$("#additional").append("<div><b>TOTAL additional cash that could be accessed</b></div>");
	$("#iowe").append("<div><b>TOTAL dollars that I owe</b></div>");
	$("#assets").append("<div><b>TOTAL suggested value of what I own</b></div>");
	$("#unaccounted").append("<div><b>TOTAL money unaccounted for</b></div>");
	$("#slippage").append("<div><b>TOTAL set aside slippage</b></div>");
}