/**
 * @file
 *    Example implementation of a serverside executable javascript callback for the init event.
 *
 * Released under the GNU General Public License.  See LICENSE.txt.
 */

$(function() {
  // widget.initScript is executed when a widget has initialized.
  $('<p><strong>Content created</strong> by the init content javascript callback</p><a class="hello-world-settings-link">Change the settings</a>')
    .appendTo($('.widget-content', window.dashboardDemo.widgets['hello-world'].element))
    .filter('.hello-world-settings-link').click(function() {
      window.dashboardDemo.widgets['hello-world'].toggleSettings();
    });
});
